## Project Managment
* register on github.com 
* register on gitlab.com
* gitlab cloning my repository  

### project management
Install github desktop then do these steps 

![Screenshot](../img/clone.jpg) 

to clone you have to click this and then paste it in github    
![Screenshot](../img/clone.png)    

To clone my repository I had to ´click´ on clone and then paste it in github desktop     

![Screenshot](../img/localfile.jpg)  

This is your local file. Here you can find everything you put on github.  
 
  
 ![Screenshot](../img/notepad++.jpg)  
 
 This app you use to "code" locally
 
![Screenshot](../img/github.jpg)  

![Screenshot](../img/howtopush.jpg)  


When you made changes locally and you want to add them to your online repository you have to push it from girhubdesktop to your online repo.  
you do that by literally clicking push or ctrl+p  

![Screenshot](docs/img/howtopush.jpg)  
and you have to write something in commit message 


![Screenshot](docs/img/changemade.jpg)  

once you're done working or editing your file you have to commit it. To commit you have to write somehing. 
You commit by clicking commit and then you can see the changes made.  


### Research final project 
![Screenshot](docs/img/finalproject.jpg)  

I had/have an idea and then I presented it after that I was advised and then I went to different websites to do some research.  
I also spoke with some teachers.
some of the websites I used for research 
https://www.instructables.com/
https://www.instructables.com/id/Arduino-Adjustable-Smart-Battery-Charger/
https://www.hackster.io/naran-inc/cheapest-smart-home-for-38-98718f  





